## net.i2p.router.client
Class MessageReceivedJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.client.MessageReceivedJob

All Implemented Interfaces:
  Job

     class MessageReceivedJob

extends JobImpl

Async job to notify the client that a new message is available for them

Constructor Summary
`MessageReceivedJob(RouterContext ctx, ClientConnectionRunner runner, Destination toDest, Destination fromDest, Payload payload)`

Method Summary
`String` `getName()` Descriptive name of the task
`void` `messageAvailable(MessageId id, long size)` Deliver notification to the client that the given message is available.
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageReceivedJob

    public MessageReceivedJob(RouterContext ctx,
                              ClientConnectionRunner runner,
                              Destination toDest,
                              Destination fromDest,
                              Payload payload)

Method Detail

### getName

    public String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.

### messageAvailable

    public void messageAvailable(MessageId id,
                                 long size)

  Deliver notification to the client that the given message is available.